GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference
These docs are for v2024-03-01. Click to read the latest docs for v2026-06-15.

Refresh access token

Exchange a refresh token for a new access token.

The previous refresh_token will be revoked on the first usage of the new access_token.

The expires_in value is provided in seconds from when the access_token was generated.

Body Params
string
required

Your client id

string
required

Your client secret

string

The redirect URI you set up via the Developer Portal

string
required

The refresh_token being exchanged for an access token code

string
required

this should be the literal string 'refresh_token'

Headers
string
enum
Defaults to 2024-03-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json